Shipping

Add, edit, and delete anything related to shipping.

ShippingRate

rate_id
number

The unique shipping rate ID for this shipping rate.

zone_id
number

The zone ID for this rate, if you want to limit this rate type to a shipping zone.

rate_label
string

The label of the rate to display to the customer

rate_type
string

The type of shipping rate, values can be price, percentage, quantity, weight, method, or live.

rate_carrier
string

If a live based rate, the carrier for the rate. Values can be ups, usps, fedex, dhl, auspost, canpost, or other.

rate_code
string

The service code of the shipment

trigger_rate
number

The trigger rate

shipping_rate
number

The shipping rate

rate_order
integer

The sort order of the shipping rate, low to high.

override_rate
number

For live rates, the amount to always use.

free_shipping_threshold
number

The price that free shipping applies to this rate type.

{
  • "rate_id": 0,
  • "zone_id": 0,
  • "rate_label": "string",
  • "rate_type": "string",
  • "rate_carrier": "string",
  • "rate_code": "string",
  • "trigger_rate": 0,
  • "shipping_rate": 0,
  • "rate_order": 0,
  • "override_rate": 0,
  • "free_shipping_threshold": 0
}

ShippingZoneItem

zone_item_id
number

The unique zone item ID for this shipping zone item.

zone_id
number

The zone ID for this shipping zone item.

country_code
string

The country code for this zone item.

state_code
string

The state code for this zone item, if you want to connect beyond the country.

{
  • "zone_item_id": 0,
  • "zone_id": 0,
  • "country_code": "string",
  • "state_code": "string"
}

ShippingZone

zone_id
number

The unique zone ID for this shipping zone.

zone_name
string

The internal label for this shipping zone.

Array of objects (ShippingZoneItem)

An array of zone item locations for this shipping zone.

{
  • "zone_id": 0,
  • "zone_name": "string",
  • "zone_locations": [
    ]
}

Gets a list of shipping rates

This allows you to get a list of shipping rates

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

search
string

Filter shipping rates by a search term

Responses
200

Successful operation

400

Unauthorized

get/shipping/rates
Request samples
Response samples
application/json
[
  • {
    }
]

Add a shipping rate

This allows you to add a new shipping rate

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new shipping rate.

zone_id
number

The zone ID for this rate, if you want to limit this rate type to a shipping zone.

rate_label
required
string

The label of the rate to display to the customer

rate_type
string

The type of shipping rate, values can be price, percentage, quantity, weight, method, or live.

rate_carrier
string

If a live based rate, the carrier for the rate. Values can be ups, usps, fedex, dhl, auspost, canpost, or other.

rate_code
string

The service code of the shipment

trigger_rate
number

The trigger rate

shipping_rate
number

The shipping rate

rate_order
integer

The sort order of the shipping rate, low to high.

override_rate
number

For live rates, the amount to always use.

free_shipping_threshold
number

The price that free shipping applies to this rate type.

Responses
200

Successful operation

400

Unauthorized

post/shipping/rates
Request samples
application/json
{
  • "zone_id": 0,
  • "rate_label": "string",
  • "rate_type": "string",
  • "rate_carrier": "string",
  • "rate_code": "string",
  • "trigger_rate": 0,
  • "shipping_rate": 0,
  • "rate_order": 0,
  • "override_rate": 0,
  • "free_shipping_threshold": 0
}
Response samples
application/json
{
  • "rate_id": 0,
  • "zone_id": 0,
  • "rate_label": "string",
  • "rate_type": "string",
  • "rate_carrier": "string",
  • "rate_code": "string",
  • "trigger_rate": 0,
  • "shipping_rate": 0,
  • "rate_order": 0,
  • "override_rate": 0,
  • "free_shipping_threshold": 0
}

Gets a shipping rate by ID

This allows you to get a shipping rate from your store by rate ID

SecuritybearerAuth or basicAuth
Request
path Parameters
rate_id
integer <int64>

Shipping Rate ID

Responses
200

Successful operation

400

Unauthorized

get/shipping/rates/{rate_id}
Request samples
Response samples
application/json
{
  • "rate_id": 0,
  • "zone_id": 0,
  • "rate_label": "string",
  • "rate_type": "string",
  • "rate_carrier": "string",
  • "rate_code": "string",
  • "trigger_rate": 0,
  • "shipping_rate": 0,
  • "rate_order": 0,
  • "override_rate": 0,
  • "free_shipping_threshold": 0
}

Updates a rate by ID

This allows you to update a shipping rate

SecuritybearerAuth
Request
path Parameters
rate_id
required
integer <int64>

Shipping Rate ID

Request Body schema: application/json
required

Submit any or all elements to update the shipping rate.

zone_id
number

The zone ID for this rate, if you want to limit this rate type to a shipping zone.

rate_label
string

The label of the rate to display to the customer

rate_type
string

The type of shipping rate, values can be price, percentage, quantity, weight, method, or live.

rate_carrier
string

If a live based rate, the carrier for the rate. Values can be ups, usps, fedex, dhl, auspost, canpost, or other.

rate_code
string

The service code of the shipment

trigger_rate
number

The trigger rate

shipping_rate
number

The shipping rate

rate_order
integer

The sort order of the shipping rate, low to high.

override_rate
number

For live rates, the amount to always use.

free_shipping_threshold
number

The price that free shipping applies to this rate type.

Responses
200

Successful operation

400

Unauthorized

patch/shipping/rates/{rate_id}
Request samples
application/json
{
  • "zone_id": 0,
  • "rate_label": "string",
  • "rate_type": "string",
  • "rate_carrier": "string",
  • "rate_code": "string",
  • "trigger_rate": 0,
  • "shipping_rate": 0,
  • "rate_order": 0,
  • "override_rate": 0,
  • "free_shipping_threshold": 0
}
Response samples
application/json
{
  • "rate_id": 0,
  • "zone_id": 0,
  • "rate_label": "string",
  • "rate_type": "string",
  • "rate_carrier": "string",
  • "rate_code": "string",
  • "trigger_rate": 0,
  • "shipping_rate": 0,
  • "rate_order": 0,
  • "override_rate": 0,
  • "free_shipping_threshold": 0
}

Deletes a rate by ID

This allows you to delete a shipping rate from your store

SecuritybearerAuth
Request
path Parameters
rate_id
required
integer <int64>

Shipping Rate ID

Responses
200

Successful operation

400

Unauthorized

delete/shipping/rates/{rate_id}
Request samples
Response samples
application/json
{
  • "rate_id": 0,
  • "zone_id": 0,
  • "rate_label": "string",
  • "rate_type": "string",
  • "rate_carrier": "string",
  • "rate_code": "string",
  • "trigger_rate": 0,
  • "shipping_rate": 0,
  • "rate_order": 0,
  • "override_rate": 0,
  • "free_shipping_threshold": 0
}

Gets a list of shipping zones

This allows you to get a list of shipping zones

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

search
string

Filter shipping zones by a search term

Responses
200

Successful operation

400

Unauthorized

get/shipping/zones
Request samples
Response samples
application/json
[
  • {
    }
]

Add a shipping zone

This allows you to add a new shipping zone

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new shipping zone.

zone_name
string

The internal label for this shipping zone.

Array of objects (ShippingZoneItemAdd)

An array of zone item locations for this shipping zone.

Responses
200

Successful operation

400

Unauthorized

post/shipping/zones
Request samples
application/json
{
  • "zone_name": "string",
  • "zone_locations": [
    ]
}
Response samples
application/json
{
  • "zone_id": 0,
  • "zone_name": "string",
  • "zone_locations": [
    ]
}

Gets a shipping zone by ID

This allows you to get a shipping zone from your store by zone ID

SecuritybearerAuth or basicAuth
Request
path Parameters
zone_id
required
integer <int64>

Shipping Zone ID

Responses
200

Successful operation

400

Unauthorized

get/shipping/zones/{zone_id}
Request samples
Response samples
application/json
{
  • "zone_id": 0,
  • "zone_name": "string",
  • "zone_locations": [
    ]
}

Updates a zone by ID

This allows you to update a shipping zone

SecuritybearerAuth
Request
path Parameters
zone_id
required
integer <int64>

Shipping Zone ID

Request Body schema: application/json
required

Submit any or all elements to update the shipping zone.

zone_name
string

The internal label for this shipping zone.

Array of objects (ShippingZoneItemAdd)

An array of zone item locations for this shipping zone.

Responses
200

Successful operation

400

Unauthorized

patch/shipping/zones/{zone_id}
Request samples
application/json
{
  • "zone_name": "string",
  • "zone_locations": [
    ]
}
Response samples
application/json
{
  • "zone_id": 0,
  • "zone_name": "string",
  • "zone_locations": [
    ]
}

Deletes a zone by ID

This allows you to delete a shipping zone from your store

SecuritybearerAuth
Request
path Parameters
zone_id
required
integer <int64>

Shipping Zone ID

Responses
200

Successful operation

400

Unauthorized

delete/shipping/zones/{zone_id}
Request samples
Response samples
application/json
{
  • "zone_id": 0,
  • "zone_name": "string",
  • "zone_locations": [
    ]
}